

:root {
    /* Light Theme Colors */
    --primary: #000000;
    --bg: #FFFFFF;
    --row2: #fbfbfb;
    --secondary: #3C3C4399;
    --tertiary: #3C3C434D;
    --grey: #8E8E93;
    --grey-2: #AEAEB2;
    --grey-3: #C7C7CC;
    --grey-4: #D1D1D6;
    --grey-5: #E5E5EA;
    --grey-6: #F2F2F7;
    --grey-7: #F8F8FA;
    --light: #FFFFFF;
    --black: #000000;
    --stroke: #D3D3D3;
    --green: #08924F;
    --green-05: #F3FAF6;
    --red: #CF1515;
    --red-05: #FDF3F3;
    --orange: #EA580C;
    --orange-05: #FEF7F3;
    --blue: #2563EB;
    --blue-10: #2563EB19;
    --blue-05: #EFF6FF;
    --portfolio-header: #FAFCFF;
    --action-button: #F2F2F7;
    --segment-bg: #FFFFFF;
    --segment-sel-bg: #000000;
    --segmented-controller-bg: #F2F2F7;
    --segmented-controller-selected: #FFFFFF;
    --segmented-controller-selected-text: #000000;
    --segmented-controller-text: #1C1C1E;
    --segmented-controller-border: #C7C7CC;


    --segmented-controller-bg-blue: none;
    --segmented-controller-border-blue: #D3D3D3;
    --segmented-controller-selected-blue: #2563EB;
    ;
    --segmented-controller-border-blue: #D3D3D3;
    ;

}

* {
    margin: 0;
    padding: 0;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}


html {
    font-size: 16px;
    /* 1rem = 16px */
}


body {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    background-color: white;
}

.accent {
    color: var(--blue);
}

.primary {
    color: var(--primary);
}

.secondary {
    color: var(--secondary);
}

.nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: white;
    z-index: 1000;
    height: 60px;
    display: flex;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.05);

}

.nav img {
    height: 40px;
    margin-left: 20px;
    margin-top: 10px;
}
.catalog-container {
    width: 100%;
    overflow-y: auto;
    display: flex;
    flex-direction: column;

    height: calc( 100% - 60px);
    margin-top: 60px;
}

.catalog-page {
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    min-height: 100vh;
}

.catalog-page-header {
    width: 100%;
    height: 50%;
    background-color: white;
    overflow: hidden;
    flex-shrink: 0;
    min-height: 300px;

    padding-left: 50px;
    padding-right: 50px;
    padding-top: 30px;
    padding-bottom: 30px;
}

.catalog-page-body {
    width: 100%;
    background-color: rgb(39, 98, 234);
    overflow: hidden;
    flex-shrink: 0;
    min-height: 400px;
    height: 50%;
}

.catalog-page-header-contents {
    margin-top: 24px;
}

.catalog-page-header-content-items {
    display: flex;
    margin-top: 8px;
    flex-wrap: wrap;

    gap: 8px;
}

.catalog-page-header-content-item {
    min-height: 40px;
    padding-left: 16px;
    padding-right: 16px;
    padding-top: 8px;
    padding-bottom: 8px;
    border: rgba(37, 99, 235, 0.5) 1px solid;
    background-color: rgb(246, 251, 255);
    border-radius: 100px;

}

.catalog-page-header-desc {
    margin-top: 24px;
    font-size: 1.125rem;
    line-height: 1.5rem;
}

.catalog-page-header-desc p {
    margin-top: 20px;
}

.screen-shots {
    display: flex;
    gap: 16px;
    margin-top: 24px;
    overflow-x: scroll;
    max-height: 100%;
    margin-bottom: 24px;
    justify-content: center; /* Normalde ortalamak için */
    padding-left: 20px;
    padding-right: 20px;
}

.screen-shots.overflow {
    justify-content: flex-start; /* Taşma varsa sol hizalama */
}

.screen-shot {
    flex-shrink: 0;
    aspect-ratio: 1895 / 3896;
    overflow: hidden;
    width: 240px;
    padding: 0px;
    position: relative;
    z-index: 0;
   
}

.screen-shot-bg {
    height: 100%;
    aspect-ratio: 1895 / 3896;
    z-index: 1000;
    position: relative;
   
}

.screen-shot-s {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    padding: 5px;
    border-radius: 30px;
}


.iRegular {
    font-weight: 400;
}

.iMedium {
    font-weight: 510;
}

.iBold {
    font-weight: 700;
}

.iSemiBold {
    font-weight: 590;
}

.iUL {
    text-decoration: underline;
}

.iT0 {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 2.5rem;
    line-height: 2.5rem;
}

.iLT {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 2.125rem;
    line-height: 2.5625rem;
    letter-spacing: -0.025rem;
}

.iT1 {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 1.75rem;
    /* 28px */
    line-height: 2.125rem;
    /* 34px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iT2 {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 1.375rem;
    /* 22px */
    line-height: 1.75rem;
    /* 28px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iT3 {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 1.25rem;
    /* 20px */
    line-height: 1.5625rem;
    /* 25px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iH {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 1.0625rem;
    /* 17px */
    line-height: 1.375rem;
    /* 22px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iB {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 1.0625rem;
    /* 17px */
    line-height: 1.375rem;
    /* 22px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iC {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 1rem;
    /* 16px */
    line-height: 1.3125rem;
    /* 21px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iSH {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 0.9375rem;
    /* 15px */
    line-height: 1.25rem;
    /* 20px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iFN {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 0.8125rem;
    /* 13px */
    line-height: 1.25rem;
    /* 20px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iC1 {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 0.75rem;
    /* 12px */
    line-height: 1rem;
    /* 16px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iC2 {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 0.6875rem;
    /* 11px */
    line-height: 0.8125rem;
    /* 13px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}

.iC3 {
    font-family: -apple-system, BlinkMacSystemFont, "Inter", sans-serif;
    font-size: 0.5625rem;
    /* 9px */
    line-height: 0.625rem;
    /* 10px */
    letter-spacing: -0.025rem;
    /* -0.4px */
}


@media (max-height: 699px) {
    .catalog-page {
        min-height: 700px;

    }

   
}

@media (max-width: 600px) {
  

}

@media (max-width: 1000px) {
    .catalog-page-header {
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 24px;
        padding-bottom: 24px;
    }

    html {
        font-size: 14px;
    }
}